import SessionService from 'ember-simple-auth/services/session';

import {
  getOwner
} from '@ember/application';

export default SessionService.extend({
  restoreFromRemember() {
    let applicationInstance = getOwner(this);
    let authenticator = applicationInstance.lookup('authenticator:allplan');
    let sessionData = this.get('data.authenticated');
    return authenticator.restore(sessionData);
  }
});
